*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

#book-main-container{
    height:500px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
    flex-direction: column;
    position: relative;
}
#book-main-heading-top{
    width: 100%;
    text-align: center;
    color: transparent;
    text-shadow: 1px 1px #c02567;
    -webkit-text-stroke: 1px black;
    font-size: 40px;
}

/* Book Design */

.book {
    width: 600px;
    height: 400px;
    perspective: 1500px;
    user-select: none;
  }
  
  .page {
    width: 49%;
    height: 98%;
    padding: 20px;
    position: absolute;
    cursor: grab;
    top: 1%;
    left: 50%;
    font-size: 16px;
    line-height: 18px;
    color: black;
    background-color: #fff0d8;
    background-image: linear-gradient(to right, rgba(0,0,0,.15) 0%, rgba(0,0,0,0) 10%);
    transition: transform .5s;
    transform: rotateY(-180deg);
    backface-visibility: hidden;
    transform-style: preserve-3d;
    transform-origin: left center;
    z-index: 4;
  
    &:nth-of-type(2n) {
      left: 1px;
      background-image: linear-gradient(to left, rgba(0,0,0,.12) 0%, rgba(0,0,0,0) 10%);
      transform-origin: right center;
      transform: rotateY(0);
  
      &:not(.cover) {
        left: calc(1% + 1px);
      }
    }
  
    h2 {
      text-align: center;
    }
  
    h2 + p::first-letter {
      font-size: 44px;
      float: left;
      height: 44px;
      line-height: 36px;
      vertical-align: baseline;
      margin-right: 6px;
      border-radius: 5px;
    }
  }
  
  input[type=radio] {
    display: none;
  }
  
  input:checked {
    & ~ .page {
      transform: rotateY(0);
    }
  
    & ~ .page:nth-of-type(2n) {
      transform: rotateY(180deg);
    }
  
    & ~ .page:nth-of-type(2n-1) {
      z-index: 3;
    }
  
    & ~ .page:nth-of-type(2n-1) ~ .page:nth-of-type(2n-1) {
      z-index: 1;
    }
  
    & + .page + .page + input + .page {
      z-index: 2 !important; // ugh...
    }
  }
  
  .cover {
    width: 50%;
    height: 100%;
    top: 0;
    cursor: grab;
    border-left: 1px solid #121212;
    border-right: 1px solid #121212;
    border-radius: 0 3px 3px 0;
    background-color: #d48cb4;
    
    h1 {
      color: #fff;
      -webkit-text-stroke: 0.4px black;
      text-align: center;
      font-size: 30px;
      position: relative;
  
      &::after {    
        content: "";
        display: block;
        width: 50%;
        position: absolute;
        bottom: -20px;
        margin-left: -30px;
        left: 50%;
        border-top: 3px solid #ffffff;
        box-shadow: -1px -1px 2px rgba(0,0,0,.2);
      }
    }
  
    & + .cover {
      border-radius: 3px 0 0 3px;
    }
  
    &:first-of-type, &:last-of-type {
      background-image: none;
  
      &::before {
        content: "";
        width: calc(100% - 20px);
        height: calc(100% - 20px);
        border: 2px dashed #ffffffb7;
        position: absolute;
        top: 9px;
        left: 9px;
      }
    }
  }
  .cover::after{
    content: '';
    height: 100%;
    width: 100%;
    background-image: url(/images/Logo.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    opacity: 0.1;
    background-clip: border-box;
    position: absolute;
    left: -10px;
    bottom: 0;
  }
  #page-h2{
    color: #c02567;
  }
  #page-p{
    color: #121216;
  }
  #page-span{
    position: absolute; 
    bottom:10px;
    right:20px;
  }
  #back-cover-h2{
    color: #c02567; 
    font-size:x-large;
  }
  #back-cover-p{
    color: #121216; 
    font-size:x-small;
  }



@media only screen and (max-width: 5000px) and (min-width: 3001px){
    #book-main-container{
        height:1400px;
    }
    #book-main-heading-top{
        text-shadow: 1px 1px #c02567;
        -webkit-text-stroke: 1px black;
        font-size: 120px;
    }
    .book {
        width: 1500px;
        height: 900px;
    }
    .cover h1{
        font-size: 100px;
    }
    #page-h2{
        font-size: 80px;
    }
    #page-p{
        font-size: 40px;
        letter-spacing: 1px;
        line-height: 60px;
    }
    #back-cover-h2{
        font-size:90px;
    }
    #back-cover-p {
      color: #121216;
      font-size: 30px;
      line-height: 40px;
  }
}
@media only screen and (max-width: 3000px) and (min-width: 1700px){
    #book-main-container{
        height:1000px;
    }
    #book-main-heading-top{
        text-shadow: 1px 1px #c02567;
        -webkit-text-stroke: 1px black;
        font-size: 80px;
    }
    .book {
        width: 1300px;
        height: 800px;
    }
    .cover h1{
        font-size: 70px;
    }
    #page-h2{
        font-size: 50px;
    }
    #page-p{
        font-size: 30px;
        letter-spacing: 1px;
        line-height: 40px;
    }
    #back-cover-h2{
        font-size:50px;
    }
    #back-cover-p {
      color: #121216;
      font-size: 20px;
      line-height: 50px;
  }
}
  
  @media (max-width: 768px){
  .book {
    width: 98%;
  }
}
@media (max-width: 600px){
  #book-main-container{
    display: none;
  }
}



/* Artical Template */

#Blog-main-container{
  height: 900px;
  width: 100%;
  margin-top: -100px;
  display: flex;
  flex-direction: column;
  background-color: #121216;
  align-items: center;
  justify-content: center;
}
#Blog-second-top-main-container{
  height: 900px;
  width: 90%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
#Blog-second-top-header{
  height: 50px;
  text-align: left;
  padding-top: 20px;
  font-size: medium;
  color: white;
  width: 100%;
}
#Blog-second-top-header span{
  color: #c02567;
}
#Blog-second-top-body{
  height: 300px;
  width: 100%;
  display: flex;
  justify-content:center;
  align-items: center;
  margin-bottom: 50px;
  margin-top: 50px;
  gap: 10px;
  padding: 50px;
  flex-direction: row;
}

#Blog-second-top-body img{
  height: 650px;
  width: 45%;
  padding-top: 100px;
}

#imgs{

height: 400px !important;

}
#Blog-second-top-footer{
  height: 200px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
#Blog-second-top-footer h1{
  color: #d48cb4;
  font: 50px;
  text-align: center;
  letter-spacing: 0.5px;
  font-weight: 600;
}
#Blog-second-top-footer h4{
  color: white;
  text-align: center;
  letter-spacing: 0.5px;
  font-weight: 600;
}
@media only screen and (max-width: 5000px) and (min-width: 1500px){
  #Blog-second-top-body{
      height: 300px;
      width: 100%;
      display: flex;
      justify-content:center;
      align-items: center;
      margin-bottom: 150px;
      margin-top: 150px;
      gap: 40px;
      flex-direction: row;
  }
  #Blog-second-top-body img{
      height: 500px;
      width: auto;
  }
}
@media (max-width: 991px){
#Blog-main-container{
  height: 700px;
}
#Blog-second-top-body{
  height: fit-content;
  width: 100%;
  margin: 0;
  flex-direction: row;
}
#Blog-second-top-body img{
  height: 300px;
  width: auto;
}
#Blog-second-top-footer h4{
  font-size: 18px;
}
}
@media (max-width: 768px){
  #Blog-main-container{
      height: 650px;
      width: 100%;
      display: flex;
      flex-direction: column;
      background-color: #121216;
      align-items: center;
      justify-content: center;
  }
#Blog-second-top-body{
  height: fit-content;
  width: 100%;
  margin: 0;
  flex-direction: row;
}
#Blog-second-top-body img{
  height: 250px;
  width: 250px;
}

#Blog-second-top-footer h1{
  font-size: 27px;
}
#Blog-second-top-footer h4{
  font-size: 15px;
}
}
@media (max-width: 600px){
  #Blog-main-container{
    height: 550px;
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: #121216;
    align-items: center;
    justify-content: center;
}
  #Blog-second-top-footer h1{
      font-size: 25px;
  }
  #Blog-second-top-header{
      font-size: small;
  }
  #Blog-second-top-footer h4{
      font-size: 12px;
  }
  #Blog-second-top-body img{
    height: 180px;
    width: 180px;
  }
}
@media (max-width: 400px){
  #Blog-main-container{
      height: 600px;
      width: 100%;
      display: flex;
      flex-direction: column;
      background-color: #121216;
      align-items: center;
      justify-content: center;
  }
  #Blog-second-top-footer h1{
      font-size: 25px;
  }
  #Blog-second-top-footer h4{
      font-size: 8px;
  }
  #Blog-second-top-header{
      font-size: smaller;
  }
  #Blog-second-top-body img{
      height: 150px;
      width: 150px;
  }
  #Blog-second-social-date-container span{
      font-size: 10px;
  }
}

/* TEXT CONTAINMENT */
#blog-text-main-container {
  height: fit-content;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: flex-start;
  background-color: white;
}

#blog-text-left-container {
  height: 2000px;
  width: 35%;
  padding: 10px;
  align-items: center;
  box-sizing: border-box;
}

#blog-text-left-sticky-box {
  height: 250px;
  margin-left: 50px;
  width: 70%;
  position: sticky;
  top: 100px; 
  padding-bottom: 100px; 
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 10px;
  box-sizing: border-box;
}
#blog-text-left-sticky-box-heading{
  color: #d48cb4;
}
#blog-text-left-sticky-box p{
  font-size: small;
  color: gray;
  cursor: pointer;
  transition: all 1s;
}
#blog-text-left-sticky-box p:hover{
  color: black;
}
#blog-text-right-container {
  height: 100%;
  width: 80%;
  padding: 10px;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
}
#blog-text-right-second-container{
  height: 95%;
  width: 95%;
  padding-left: 40px;
  padding-right: 40px;
}
#blog-text-right-second-container p{
  font-size: smaller;
}
#blog-text-right-second-container p b{
  color: #881245;
}
.first-word {
  color: #c02567;
  font-weight: 900;
  font-size: 40px;
}

#blog-text-right-second-container h2{
  font-weight: 600;
  letter-spacing: 0.5px;
  color: #af1d5c;
  font-size: x-large;   
}
#blog-text-right-second-container h1{
  font-weight: 900;
  font-size: 40px;
  color: #af1d5c;
}
.faq-item {
  margin-bottom: 15px;
}
.faq-item h2 {
  cursor: pointer;
  color: #007bff;
  font-size: medium !important;
  display: flex;
  align-items: center;
}
.faq-item p {
  display: none;
  margin-top: 10px;
  font-size: smaller;
  animation: fadeIn 0.3s ease-out;
}
.plus-minus {
  font-size: 20px;
  margin-right: 10px;
  transition: transform 0.3s ease;
}
.open .plus-minus {
  transform: rotate(45deg);
}
@keyframes fadeIn {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@media (max-width: 991px) {
  #blog-text-main-container {
      height: fit-content;
      width: 100%;
  }
  
  #blog-text-left-container{
      display: none;
  }
  #blog-text-right-container {
      width: 100%;
      height: auto;
  }

  #blog-text-main-container {
      flex-direction: column;
  }
}
@media screen and (min-width: 1700px) and (max-width: 3500px){
  #blog-text-right-second-container p{
      font-size: 20px;
  }
  #blog-text-right-second-container h2{
      font-size: 35px;
      
  }
}

